Location - List Cached Images
Get the list of cached images on specific OS type for a subscription in a region.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerInstance/locations/{location}/cachedImages?api-version=2021-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
|
The identifier for the physical azure location. |
|
subscription
|
path | True |
|
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client API version |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | Impersonate your user account |
Examples
CachedImages
Sample Request
GET https://management.azure.com/subscriptions/subid/providers/Microsoft.ContainerInstance/locations/westcentralus/cachedImages?api-version=2021-10-01
Sample Response
{
"value": [
{
"osType": "Linux",
"image": "ubuntu:16.04"
},
{
"osType": "Linux",
"image": "alpine:3.6"
},
{
"osType": "Windows",
"image": "microsoft/nanoserver:10.0.14393.2485"
}
]
}
Definitions
|
cached |
The cached image and OS type. |
|
Cached |
The response containing cached images. |
|
Cloud |
An error response from the Container Instance service. |
|
Cloud |
An error response from the Container Instance service. |
cachedImages
The cached image and OS type.
| Name | Type | Description |
|---|---|---|
| image |
|
The cached image name. |
| osType |
|
The OS type of the cached image. |
CachedImagesListResult
The response containing cached images.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
The URI to fetch the next page of cached images. |
| value |
The list of cached images. |
CloudError
An error response from the Container Instance service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the Container Instance service. |
CloudErrorBody
An error response from the Container Instance service.
| Name | Type | Description |
|---|---|---|
| code |
|
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
|
A message describing the error, intended to be suitable for display in a user interface. |
| target |
|
The target of the particular error. For example, the name of the property in error. |